Bug 441701 - High memory usage
High memory usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 11:49 EDT by Zdenek Kabelac
Modified: 2009-08-12 08:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-04-09 11:49:40 EDT
Description of problem:

Using permanently 16MB of RAM to show simple password krb dialog twice a day
looks to me like a waste of memory.
top show   16MB or Resident memory and 11MB from this is shared.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
I think small memory foot-print daemon which would startup dialog on demand when
the memory is really needed seems to be better solution.

Additional info:

IMHO 3MB on heap - for what ?

VMSIZE:     322240 kb
RSS:         19104 kb total
             12564 kb shared
               304 kb private clean
              6236 kb private dirty
PRIVATE MAPPINGS
     vmsize   rss clean   rss dirty   file
    2924 kb        0 kb     2864 kb   [heap]
    1040 kb        0 kb     1040 kb
    1040 kb        0 kb     1040 kb
      72 kb        0 kb       68 kb  
/usr/lib64/libORBit-2.so.0.1.0.#prelink#.JE5H19
      68 kb        0 kb       68 kb  
/usr/lib64/libbonobo-2.so.0.0.0.#prelink#.ryJ8V5
      60 kb        0 kb       60 kb
      84 kb        0 kb       48 kb   [stack]
      84 kb        0 kb       48 kb   [stack]
      44 kb        0 kb       44 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
      44 kb        0 kb       44 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
      32 kb        0 kb       32 kb
      32 kb        0 kb       32 kb
      32 kb        0 kb       28 kb   /lib64/libasound.so.2.0.0
      24 kb        0 kb       24 kb   /usr/lib64/libX11.so.6.2.0
      28 kb        0 kb       24 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
      20 kb        0 kb       20 kb
      20 kb        0 kb       20 kb  
/usr/lib64/libgdk-x11-2.0.so.0.1200.9.#prelink#.arX45j
      20 kb        0 kb       20 kb  
/usr/lib64/libgdk-x11-2.0.so.0.1200.9.#prelink#.arX45j
      20 kb        0 kb       16 kb  
/usr/lib64/libgconf-2.so.4.1.5.#prelink#.sdhZ77
      16 kb        0 kb       16 kb  
/usr/lib64/libbonobo-activation.so.4.0.0.#prelink#.n1iTS3
      16 kb        0 kb       16 kb  
/usr/lib64/libbonoboui-2.so.0.0.0.#prelink#.Y5LlAb
      24 kb        0 kb       16 kb  
/usr/lib64/libgnomeui-2.so.0.2200.0.#prelink#.quwD2j
      16 kb        0 kb       16 kb
      16 kb        0 kb       12 kb   /usr/lib64/libcroco-0.6.so.3.0.1
      16 kb        0 kb       12 kb   /usr/lib64/libkrb5.so.3.3
      28 kb        0 kb       12 kb   /lib64/libssl.so.0.9.8g
     132 kb        0 kb       12 kb   /lib64/libcrypto.so.0.9.8g.#prelink#.vczGjU
      16 kb        0 kb       12 kb  
/usr/lib64/libaudiofile.so.0.0.2.#prelink#.HTpDlk
      76 kb        0 kb       12 kb
      20 kb        0 kb       12 kb  
/usr/lib64/libgnomevfs-2.so.0.2200.0.#prelink#.6QK5Y3
      12 kb        0 kb       12 kb   /lib64/libgio-2.0.so.0.0.0.#prelink#.mxexMf
      12 kb        0 kb       12 kb
      12 kb        0 kb       12 kb  
/usr/lib64/libpango-1.0.so.0.2000.1.#prelink#.bClzdG
      20 kb        4 kb        8 kb   /usr/bin/krb5-auth-dialog
    8192 kb        0 kb        8 kb
       8 kb        0 kb        8 kb   /lib64/libbz2.so.1.0.4
      16 kb        0 kb        8 kb   /usr/lib64/libgsf-1.so.114.0.8
       8 kb        0 kb        8 kb   /usr/lib64/librsvg-2.so.2.22.2
       8 kb        0 kb        8 kb  
/usr/lib64/libORBitCosNaming-2.so.0.1.0.#prelink#.6acST3
       8 kb        0 kb        8 kb  
/usr/lib64/libgssapi_krb5.so.2.2.#prelink#.ttXACb
       8 kb        0 kb        8 kb   /usr/lib64/libk5crypto.so.3.1
      16 kb        0 kb        8 kb   /lib64/libc-2.7.90.so
      24 kb        0 kb        8 kb  
/usr/lib64/libfreetype.so.6.3.16.#prelink#.bzMXqs
       8 kb        0 kb        8 kb  
/usr/lib64/libfontconfig.so.1.3.0.#prelink#.CqwjVz
       8 kb        0 kb        8 kb   /usr/lib64/libICE.so.6.3.0
      36 kb        0 kb        8 kb   /usr/lib64/libxml2.so.2.6.31
       8 kb        0 kb        8 kb
       8 kb        0 kb        8 kb  
/usr/lib64/libglade-2.0.so.0.0.7.#prelink#.z6QMvx
       8 kb        0 kb        8 kb  
/usr/lib64/libgnomecanvas-2.so.0.2001.0.#prelink#.HcUuqc
       8 kb        0 kb        8 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
       8 kb        0 kb        8 kb  
/usr/lib64/libdbus-glib-1.so.2.1.0.#prelink#.TaaBXh
       8 kb        0 kb        8 kb  
/usr/lib64/libnm-util.so.0.0.0.#prelink#.KhIP7Z
       8 kb        0 kb        8 kb   /usr/lib64/libglade/2.0/libgnome.so
       8 kb        0 kb        8 kb  
/usr/lib64/libpangoft2-1.0.so.0.2000.1.#prelink#.TGY2pu
       8 kb        0 kb        8 kb  
/lib64/libglib-2.0.so.0.1600.3.#prelink#.ouZ0QS
       8 kb        0 kb        8 kb  
/lib64/libgobject-2.0.so.0.1600.3.#prelink#.TkgZVy
       8 kb        0 kb        8 kb   /usr/lib64/libcairo.so.2.17.2
       8 kb        0 kb        8 kb
       8 kb        0 kb        8 kb
      12 kb        0 kb        4 kb  
/usr/lib64/libatk-1.0.so.0.2209.1.#prelink#.9vizWW
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libavahi-glib.so.1.0.1.#prelink#.C7OjL5
       4 kb        0 kb        4 kb   /lib64/libselinux.so.1
       4 kb        0 kb        4 kb   /lib64/libselinux.so.1
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libkrb5support.so.0.1.#prelink#.AUUyfj
       4 kb        0 kb        4 kb   /lib64/ld-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/ld-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libc-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libm-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libm-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libdl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libdl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libpthread-2.7.90.so.#prelink#.nHdx83
       4 kb        0 kb        4 kb   /lib64/libpthread-2.7.90.so.#prelink#.nHdx83
      16 kb        0 kb        4 kb
       4 kb        0 kb        4 kb   /lib64/libz.so.1.2.3
       4 kb        0 kb        4 kb   /lib64/librt-2.7.90.so
       4 kb        0 kb        4 kb   /usr/lib64/libXau.so.6.0.0
       4 kb        0 kb        4 kb   /usr/lib64/libxcb.so.1.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libxcb-xlib.so.0.0.0.#prelink#.5xHNjN
       4 kb        0 kb        4 kb   /usr/lib64/libXext.so.6.4.0
      12 kb        0 kb        4 kb   /lib64/libexpat.so.1.5.2
       4 kb        0 kb        4 kb   /usr/lib64/libpng12.so.0.24.0
       4 kb        0 kb        4 kb  
/usr/lib64/libXrender.so.1.3.0.#prelink#.mEG929
       4 kb        0 kb        4 kb   /usr/lib64/libXfixes.so.3.1.0
       4 kb        0 kb        4 kb   /usr/lib64/libXrandr.so.2.1.0
       4 kb        0 kb        4 kb   /usr/lib64/libXi.so.6.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libXcursor.so.1.0.2.#prelink#.OxHO2k
       4 kb        0 kb        4 kb   /lib64/libcap.so.2.06
       4 kb        0 kb        4 kb   /lib64/libresolv-2.7.90.so.#prelink#.xU4cBA
       4 kb        0 kb        4 kb   /lib64/libresolv-2.7.90.so.#prelink#.xU4cBA
       4 kb        0 kb        4 kb   /usr/lib64/libSM.so.6.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libXcomposite.so.1.0.0.#prelink#.RUH88H
       4 kb        0 kb        4 kb   /usr/lib64/libjpeg.so.62.0.0
       4 kb        0 kb        4 kb   /lib64/libutil-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libutil-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libnsl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libnsl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libcom_err.so.2.1
       4 kb        0 kb        4 kb   /lib64/libkeyutils-1.2.so
       4 kb        0 kb        4 kb   /usr/lib64/libelf-0.133.so
       4 kb        0 kb        4 kb   /usr/lib64/libelf-0.133.so
       4 kb        0 kb        4 kb   /lib64/libpopt.so.0.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libart_lgpl_2.so.2.3.20.#prelink#.OrK3dF
       4 kb        0 kb        4 kb  
/usr/lib64/libavahi-common.so.3.5.0.#prelink#.nT1GS6
       4 kb        0 kb        4 kb  
/usr/lib64/libgnome-keyring.so.0.1.1.#prelink#.hFTUqi
       8 kb        0 kb        4 kb  
/usr/lib64/libgnome-2.so.0.2200.0.#prelink#.GLOAz8
       4 kb        0 kb        4 kb  
/lib64/libgcc_s-4.3.0-20080404.so.1.#prelink#.FcS5UK
       4 kb        0 kb        4 kb   /lib64/libdbus-1.so.3.4.0
       4 kb        0 kb        4 kb   /lib64/libdbus-1.so.3.4.0
       8 kb        0 kb        4 kb  
/usr/lib64/libpixman-1.so.0.10.0.#prelink#.Hwnish
       4 kb        0 kb        4 kb  
/usr/lib64/libavahi-client.so.3.2.4.#prelink#.MQ1RQ4
       4 kb        0 kb        4 kb  
/usr/lib64/libnm_glib.so.0.0.0.#prelink#.PAupjI
       4 kb        0 kb        4 kb  
/usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
       4 kb        0 kb        4 kb   /lib64/libnss_dns-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libnss_dns-2.7.90.so
       4 kb        0 kb        4 kb   /usr/lib64/libglade/2.0/libbonobo.so
       4 kb        0 kb        4 kb  
/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
       4 kb        0 kb        4 kb   /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
       4 kb        0 kb        4 kb   /lib64/libnss_files-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libnss_files-2.7.90.so
       4 kb        0 kb        4 kb  
/usr/lib64/libgailutil.so.18.0.1.#prelink#.TmYNmf
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/lib64/libgmodule-2.0.so.0.1600.3.#prelink#.CAply0
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/lib64/libgthread-2.0.so.0.1600.3.#prelink#.GIup8P
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libpangocairo-1.0.so.0.2000.1.#prelink#.fUrrd6
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.9.#prelink#.tKIgp7
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.9.#prelink#.tKIgp7
       4 kb        0 kb        4 kb
      36 kb       16 kb        0 kb   /usr/bin/krb5-auth-dialog
     208 kb        4 kb        0 kb   /usr/lib64/librsvg-2.so.2.22.2
     636 kb      212 kb        0 kb   /usr/lib64/libkrb5.so.3.3
     144 kb       28 kb        0 kb   /usr/lib64/libk5crypto.so.3.1
      32 kb        4 kb        0 kb   /lib64/libpopt.so.0.0.0
     420 kb       32 kb        0 kb  
/usr/share/fonts/dejavu/DejaVuLGCSans-Oblique.ttf
    7360 kb        4 kb        0 kb   /usr/share/icons/gnome/icon-theme.cache

SHARED MAPPINGS
     vmsize   rss clean   rss dirty   file
    4532 kb     1560 kb        0 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
    4532 kb     1560 kb        0 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
    1440 kb      624 kb        0 kb   /lib64/libc-2.7.90.so
     696 kb      496 kb        0 kb  
/usr/lib64/libgdk-x11-2.0.so.0.1200.9.#prelink#.arX45j
     696 kb      496 kb        0 kb  
/usr/lib64/libgdk-x11-2.0.so.0.1200.9.#prelink#.arX45j
     888 kb      456 kb        0 kb  
/lib64/libglib-2.0.so.0.1600.3.#prelink#.ouZ0QS
    1048 kb      404 kb        0 kb   /usr/lib64/libX11.so.6.2.0
     600 kb      372 kb        0 kb  
/usr/lib64/libgnomeui-2.so.0.2200.0.#prelink#.quwD2j
     952 kb      348 kb        0 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
    1340 kb      344 kb        0 kb   /usr/lib64/libxml2.so.2.6.31
     368 kb      276 kb        0 kb  
/usr/lib64/libORBit-2.so.0.1.0.#prelink#.JE5H19
     572 kb      256 kb        0 kb  
/usr/lib64/libfreetype.so.6.3.16.#prelink#.bzMXqs
     256 kb      228 kb        0 kb  
/lib64/libgobject-2.0.so.0.1600.3.#prelink#.TkgZVy
     264 kb      224 kb        0 kb  
/usr/lib64/libpango-1.0.so.0.2000.1.#prelink#.bClzdG
     400 kb      204 kb        0 kb  
/usr/lib64/libbonobo-2.so.0.0.0.#prelink#.ryJ8V5
     384 kb        0 kb      192 kb   /SYSV00000000
     636 kb      188 kb        0 kb   /usr/lib64/libkrb5.so.3.3
     228 kb      168 kb        0 kb  
/usr/lib64/libgconf-2.so.4.1.5.#prelink#.sdhZ77
     424 kb      152 kb        0 kb  
/usr/lib64/libbonoboui-2.so.0.0.0.#prelink#.Y5LlAb
     176 kb      148 kb        0 kb  
/usr/lib64/libpangoft2-1.0.so.0.2000.1.#prelink#.TGY2pu
     528 kb      140 kb        0 kb   /lib64/libm-2.7.90.so
     188 kb      136 kb        0 kb  
/usr/lib64/libfontconfig.so.1.3.0.#prelink#.CqwjVz
     208 kb      132 kb        0 kb   /usr/lib64/librsvg-2.so.2.22.2
     868 kb      128 kb        0 kb   /lib64/libasound.so.2.0.0
     400 kb      124 kb        0 kb  
/usr/lib64/libgnomevfs-2.so.0.2200.0.#prelink#.6QK5Y3
     468 kb      116 kb        0 kb   /usr/share/fonts/dejavu/DejaVuLGCSans.ttf
     124 kb      108 kb        0 kb   /lib64/ld-2.7.90.so
     172 kb      100 kb        0 kb  
/usr/lib64/libpixman-1.so.0.10.0.#prelink#.Hwnish
    1280 kb       96 kb        0 kb   /lib64/libcrypto.so.0.9.8g.#prelink#.vczGjU
     156 kb       96 kb        0 kb  
/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
     116 kb       88 kb        0 kb  
/usr/lib64/libatk-1.0.so.0.2209.1.#prelink#.9vizWW
     156 kb       88 kb        0 kb   /lib64/libexpat.so.1.5.2
      92 kb       88 kb        0 kb  
/usr/lib64/libglade-2.0.so.0.0.7.#prelink#.z6QMvx
     140 kb       84 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/gtk20-properties.mo
      88 kb       80 kb        0 kb  
/usr/lib64/libgnome-2.so.0.2200.0.#prelink#.GLOAz8
     124 kb       80 kb        0 kb  
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.9.#prelink#.tKIgp7
      92 kb       72 kb        0 kb   /lib64/libpthread-2.7.90.so.#prelink#.nHdx83
     136 kb       72 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/libc.mo
      92 kb       68 kb        0 kb  
/usr/lib64/libbonobo-activation.so.4.0.0.#prelink#.n1iTS3
     144 kb       64 kb        0 kb   /usr/lib64/libk5crypto.so.3.1
     104 kb       64 kb        0 kb   /usr/lib64/libxcb.so.1.0.0
     428 kb       64 kb        0 kb   /lib64/libgio-2.0.so.0.0.0.#prelink#.mxexMf
      64 kb       60 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/gtk20.mo
      64 kb       60 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/gtk20.mo
     200 kb       56 kb        0 kb  
/usr/lib64/libgnomecanvas-2.so.0.2001.0.#prelink#.HcUuqc
     212 kb       52 kb        0 kb   /usr/lib64/libgsf-1.so.114.0.8
      72 kb       52 kb        0 kb   /lib64/libresolv-2.7.90.so.#prelink#.xU4cBA
   77364 kb       52 kb        0 kb   /usr/lib/locale/locale-archive
     104 kb       48 kb        0 kb   /lib64/libselinux.so.1
     292 kb       48 kb        0 kb   /lib64/libssl.so.0.9.8g
     124 kb       48 kb        0 kb  
/usr/lib64/libdbus-glib-1.so.2.1.0.#prelink#.TaaBXh
     224 kb       44 kb        0 kb   /usr/lib64/libcroco-0.6.so.3.0.1
     104 kb       44 kb        0 kb  
/usr/lib64/libnm_glib.so.0.0.0.#prelink#.PAupjI
     420 kb       44 kb        0 kb  
/usr/share/fonts/dejavu/DejaVuLGCSans-Oblique.ttf
     184 kb       40 kb        0 kb  
/usr/lib64/libgssapi_krb5.so.2.2.#prelink#.ttXACb
      64 kb       40 kb        0 kb   /usr/lib64/libXext.so.6.4.0
     160 kb       40 kb        0 kb  
/usr/lib64/libaudiofile.so.0.0.2.#prelink#.HTpDlk
      36 kb       36 kb        0 kb  
/var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-x86-64
      40 kb       36 kb        0 kb  
/usr/lib64/libpangocairo-1.0.so.0.2000.1.#prelink#.fUrrd6
      36 kb       32 kb        0 kb  
/usr/lib64/libXrender.so.1.3.0.#prelink#.mEG929
      36 kb       32 kb        0 kb  
/usr/lib64/libXcursor.so.1.0.2.#prelink#.OxHO2k
      36 kb       32 kb        0 kb   /usr/lib64/libesd.so.0.2.38
      32 kb       32 kb        0 kb  
/var/cache/fontconfig/9f698fe3438acd55e6451aec4e5fdc05-x86-64
      32 kb       32 kb        0 kb  
/var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-x86-64
      84 kb       28 kb        0 kb   /lib64/libz.so.1.2.3
      92 kb       28 kb        0 kb   /usr/lib64/libICE.so.6.3.0
      92 kb       28 kb        0 kb  
/usr/lib64/libnm-util.so.0.0.0.#prelink#.KhIP7Z
      44 kb       28 kb        0 kb   /lib64/libnss_files-2.7.90.so
     148 kb       24 kb        0 kb   /usr/lib64/libpng12.so.0.24.0
      32 kb       24 kb        0 kb   /usr/lib64/libXi.so.6.0.0
      88 kb       24 kb        0 kb   /lib64/libnsl-2.7.90.so
      40 kb       20 kb        0 kb   /usr/lib64/libSM.so.6.0.0
     136 kb       20 kb        0 kb   /usr/lib64/libjpeg.so.62.0.0
      32 kb       20 kb        0 kb   /lib64/libpopt.so.0.0.0
      44 kb       20 kb        0 kb  
/usr/lib64/libavahi-common.so.3.5.0.#prelink#.nT1GS6
      64 kb       20 kb        0 kb  
/usr/lib64/libavahi-client.so.3.2.4.#prelink#.MQ1RQ4
    7360 kb       20 kb        0 kb   /usr/share/icons/gnome/icon-theme.cache
      40 kb       20 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/glib20.mo
      28 kb       20 kb        0 kb   /usr/lib64/libglade/2.0/libgnome.so
      20 kb       16 kb        0 kb  
/usr/lib64/libORBitCosNaming-2.so.0.1.0.#prelink#.6acST3
      32 kb       16 kb        0 kb   /lib64/librt-2.7.90.so
      24 kb       16 kb        0 kb  
/usr/lib64/libfreetype.so.6.3.16.#prelink#.bzMXqs
      20 kb       16 kb        0 kb   /usr/lib64/libXfixes.so.3.1.0
      76 kb       16 kb        0 kb   /usr/lib64/libelf-0.133.so
      88 kb       16 kb        0 kb  
/lib64/libgcc_s-4.3.0-20080404.so.1.#prelink#.FcS5UK
      16 kb       16 kb        0 kb   /lib64/libnss_dns-2.7.90.so
      16 kb       16 kb        0 kb  
/var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-x86-64
      16 kb       16 kb        0 kb  
/var/cache/fontconfig/d04038e664b0033ae700a78c51f179d3-x86-64
      28 kb       16 kb        0 kb  
/usr/lib64/libgailutil.so.18.0.1.#prelink#.TmYNmf
      60 kb       12 kb        0 kb   /lib64/libbz2.so.1.0.4
      20 kb       12 kb        0 kb   /usr/lib64/libXdmcp.so.6.0.0
      28 kb       12 kb        0 kb   /usr/lib64/libXrandr.so.2.1.0
      12 kb       12 kb        0 kb   /lib64/libcap.so.2.06
      12 kb       12 kb        0 kb   /usr/lib64/libglade/2.0/libbonobo.so
      12 kb       12 kb        0 kb  
/lib64/libgmodule-2.0.so.0.1600.3.#prelink#.CAply0
      16 kb       12 kb        0 kb  
/lib64/libgthread-2.0.so.0.1600.3.#prelink#.GIup8P
      12 kb       12 kb        0 kb  
/var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86-64
      28 kb       12 kb        0 kb   /usr/lib64/gconv/gconv-modules.cache
      12 kb       12 kb        0 kb  
/var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86-64
      28 kb       12 kb        0 kb   /usr/lib64/gconv/gconv-modules.cache
       8 kb        8 kb        0 kb  
/usr/lib64/libavahi-glib.so.1.0.1.#prelink#.C7OjL5
      16 kb        8 kb        0 kb   /lib64/libc-2.7.90.so
       8 kb        8 kb        0 kb   /lib64/libdl-2.7.90.so
       8 kb        8 kb        0 kb   /usr/lib64/libXau.so.6.0.0
      12 kb        8 kb        0 kb   /lib64/libexpat.so.1.5.2
       8 kb        8 kb        0 kb  
/usr/lib64/libXinerama.so.1.0.0.#prelink#.yd9BJo
       8 kb        8 kb        0 kb  
/usr/lib64/libXcomposite.so.1.0.0.#prelink#.RUH88H
       8 kb        8 kb        0 kb   /lib64/libcom_err.so.2.1
       8 kb        8 kb        0 kb   /lib64/libkeyutils-1.2.so
      24 kb        8 kb        0 kb  
/usr/lib64/libgnomeui-2.so.0.2200.0.#prelink#.quwD2j
      20 kb        8 kb        0 kb  
/usr/lib64/libgnomevfs-2.so.0.2200.0.#prelink#.6QK5Y3
       8 kb        8 kb        0 kb  
/usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
       8 kb        8 kb        0 kb  
/var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86-64
       8 kb        8 kb        0 kb   /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
      12 kb        8 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/atk10.mo
      12 kb        8 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/atk10.mo
      16 kb        4 kb        0 kb   /usr/lib64/libgsf-1.so.114.0.8
      12 kb        4 kb        0 kb  
/usr/lib64/libatk-1.0.so.0.2209.1.#prelink#.9vizWW
      20 kb        4 kb        0 kb  
/usr/lib64/libgconf-2.so.4.1.5.#prelink#.sdhZ77
      16 kb        4 kb        0 kb   /usr/lib64/libkrb5.so.3.3
      28 kb        4 kb        0 kb   /lib64/libssl.so.0.9.8g
       4 kb        4 kb        0 kb  
/usr/lib64/libxcb-xlib.so.0.0.0.#prelink#.5xHNjN
      36 kb        4 kb        0 kb   /usr/lib64/libxml2.so.2.6.31
     132 kb        4 kb        0 kb   /lib64/libcrypto.so.0.9.8g.#prelink#.vczGjU
      16 kb        4 kb        0 kb  
/usr/lib64/libaudiofile.so.0.0.2.#prelink#.HTpDlk
       8 kb        4 kb        0 kb  
/usr/lib64/libgnome-2.so.0.2200.0.#prelink#.GLOAz8
      28 kb        4 kb        0 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
       8 kb        4 kb        0 kb  
/usr/lib64/libpixman-1.so.0.10.0.#prelink#.Hwnish
       8 kb        4 kb        0 kb   [vdso]
       8 kb        4 kb        0 kb   [vdso]
Comment 1 Bug Zapper 2008-05-14 05:12:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2009-02-09 13:45:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2009-06-09 20:06:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2009-06-13 01:54:16 EDT
New upgrade of krb5-auth-dialog was provided as https://admin.fedoraproject.org/updates/krb5-auth-dialog-0.10-1.fc11, which may affect this bug.

Please retest and let us know, whether you can still reproduce this bug.
Comment 5 Bug Zapper 2009-07-14 11:25:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Andrew Rechenberg 2009-08-11 16:08:30 EDT
This bug may need to be re-opened.  I am running F11 x86_64 and krb5-auth-dialog VIRT size in top was over 5.5GB:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
 3118 arechenb  20   0 5658m  12m 2956 S  0.0  0.3  49:33.71 krb5-auth-dialo

Currently running:

krb5-auth-dialog-0.10-1.fc11.x86_64

I need to reboot for the current kernel update.  Once I do that I'll keep an eye on the memory usage.

Shall I open a new bug or can someone re-open this one?

Thanks,
Andy.
Comment 7 Andrew Rechenberg 2009-08-12 08:49:18 EDT
Came in this morning and here were the top results for krb5-auth-dialog:


  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND         
                                  
 5190 arechenb  20   0 1283m 827m 3508 S  0.0 21.8   7:24.27 krb5-auth-dialo

827MB resident.  

I'll open a new bug.

Note You need to log in before you can comment on or make changes to this bug.